# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%global shared_components_version 15
%global file_management_version 1.2.2
%global ant_version 1.0

%global artifact_resolver_version 1.1

%global common_artifact_filters_version 1.3
%global dependency_analyzer_version 1.2
%global dependency_tree_version 1.3
%global downloader_version 1.2

%global filtering_version 1.0

%global invoker_version 2.0.12
%global model_converter_version 2.3
%global osgi_version 0.3.0

#this model is not included in parent pom
%global reporting_api_version 3.0

%global reporting_impl_version 2.1
%global repository_builder_version 1.0

%global runtime_version 1.0

%global io_version 1.2
%global jar_version 1.1
%global monitor_version 1.0
### disabled by pom.xml default
#%global script_ant_version 2.1
#%global script_beanshell_version 2.1
#%global test_tools_version 1.0
#%global toolchain_version 1.0
%global verifier_version 1.3

Summary:        Maven Shared Components
URL:            http://maven.apache.org/shared/
Name:           maven-shared
Version:        15
Release:        14%{?dist}
License:        ASL 2.0
Group:          Development/Libraries

# svn export \
# http://svn.apache.org/repos/asf/maven/shared/tags/maven-shared-components-15/
# tar czf maven-shared-components-14.tar.gz maven-shared-components-15
Source0:        maven-shared-components-%{version}.tar.gz
Source1:        %{name}-jpp-depmap.xml

Patch0:        %{name}-pom.patch
Patch1:        maven-ant-pom_xml.patch
Patch2:        maven-dependency-tree-pom.patch
Patch3:        maven-osgi-pom.patch
Patch4:        maven-repository-build-pom.patch
Patch5:        maven-runtime-pom.patch
Patch6:        maven-runtime-XMLMavenRuntimeVisitor.patch
Patch7:        maven-artifact-resolver-pom.patch

BuildRequires:  jpackage-utils >= 0:1.7.2
BuildRequires:  ant
BuildRequires:  ant-nodeps
BuildRequires:  maven2 >= 0:2.0.4-9
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-source-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-surefire-report-plugin
BuildRequires:  maven-site-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-doxia
BuildRequires:  maven-doxia-sitetools
BuildRequires:  maven-doxia-tools
BuildRequires:  maven-shared-reporting-impl
BuildRequires:  maven-plugin-testing-tools
BuildRequires:  maven-test-tools
BuildRequires:  plexus-maven-plugin
BuildRequires:  plexus-component-api
BuildRequires:  maven-plugin-cobertura
BuildRequires:  junit
BuildRequires:  saxon
BuildRequires:  saxon-scripts
BuildRequires:  plexus-utils
BuildRequires:  plexus-digest
BuildRequires:  modello
BuildRequires:  easymock2
BuildRequires:  objectweb-asm
BuildRequires:  dom4j
BuildRequires: aqute-bndlib
BuildRequires:  maven-wagon

Requires:       ant
Requires:       ant-nodeps
Requires:       maven2 >= 0:2.0.4
Requires:       plexus-utils
Requires:       saxon
Requires:       saxon-scripts
Requires:       plexus-utils
Requires:       plexus-digest
Requires:       objectweb-asm
Requires:       dom4j
Requires:       aqute-bndlib
Requires:       maven-wagon

BuildArch:      noarch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post):    jpackage-utils >= 0:1.7.2
Requires(postun):  jpackage-utils >= 0:1.7.2

%description
Maven Shared Components

%package file-management
Summary:        Maven Shared File Management API
Group:          Development/Libraries
Version:        %{file_management_version}
Requires:  %{name} = 0:%{shared_components_version}-%{release}
Requires:  %{name}-io >= 0:%{io_version}
Requires:  maven2
Requires:  plexus-container-default
Requires:  plexus-utils

%description file-management
API to collect files from a given directory using
several include/exclude rules.

%package osgi
Summary:        Maven OSGi
Group:          Development/Libraries
Version:        %{osgi_version}
Requires:  %{name} = 0:%{shared_components_version}-%{release}
Requires:  aqute-bndlib
Requires:  maven2 >= 0:2.0.7

%description osgi
Library for Maven-OSGi integration

%package ant
Summary:        Maven Ant
Group:          Development/Libraries
Version:        %{ant_version}
Requires:  %{name} = 0:%{shared_components_version}-%{release}
Requires:  ant
Requires:  maven2 >= 0:2.0.7
Requires:  plexus-containers-container-default

%description ant
Runs ant scripts embedded in the POM.

%package common-artifact-filters
Summary:        Maven Common Artifact Filters
Group:          Development/Libraries
Version:        %{common_artifact_filters_version}
Requires:  %{name} = 0:%{shared_components_version}-%{release}
Requires:  %{name}-test-tools >= 0:%{test_tools_version}-%{release}
Requires:  junit
Requires:  maven2 >= 0:2.0.7
Requires:  plexus-container-default

%description common-artifact-filters
%{summary}.

%package dependency-tree
Summary:        Maven Dependency Tree
Group:          Development/Libraries
Version:        %{dependency_tree_version}
Requires:  %{name} = 0:%{shared_components_version}-%{release}
Requires:  %{name}-plugin-testing-harness >= 0:%{plugin_testing_harness_version}-%{release}
Requires:  maven2 >= 0:2.0.7

%description dependency-tree
%{summary}.

%package downloader
Summary:        Maven Downloader
Group:          Development/Libraries
Version:        %{downloader_version}
Requires:  %{name} = 0:%{shared_components_version}-%{release}
Requires:  maven2 >= 0:2.0.7

%description downloader
Provide a super simple interface for downloading a
single artifact.

%package dependency-analyzer
Summary:        Maven Dependency Analyzer
Group:          Development/Libraries
Version:        %{dependency_analyzer_version}
Requires:  %{name} = 0:%{shared_components_version}-%{release}
Requires:  maven2 >= 0:2.0.7
Requires:  objectweb-asm

%description dependency-analyzer
%{summary}.

%package invoker
Summary:        Maven Process Invoker
Group:          Development/Libraries
Version:        %{invoker_version}
Requires:  %{name} = 0:%{shared_components_version}-%{release}
Requires:  %{name}-monitor >= 0:%{monitor_version}-%{release}
Requires:  maven2 >= 0:2.0.7
Requires:  plexus-utils

%description invoker
%{summary}.

%package model-converter
Summary:        Maven Model Converter
Group:          Development/Libraries
Version:        %{model_converter_version}
Requires:  %{name} = 0:%{shared_components_version}-%{release}
Requires:  dom4j
Requires:  maven2 >= 0:2.0.7
Requires:  plexus-container-default
Requires:  plexus-utils

%description model-converter
Converts between version 3.0.0 and version 4.0.0 models.

%package reporting-impl
Summary:        Maven Reporting Implementation
Group:          Development/Libraries
Version:        %{reporting_impl_version}
Requires:  %{name} = 0:%{shared_components_version}-%{release}
Requires:  jakarta-commons-validator
Requires:  jakarta-oro
Requires:  maven2 >= 0:2.0.7
Requires:  maven-doxia

%description reporting-impl
%{summary}.

%package repository-builder
Summary:        Maven Repository Builder
Group:          Development/Libraries
Version:        %{repository_builder_version}
Requires:  %{name} = 0:%{shared_components_version}-%{release}
Requires:  %{name}-common-artifact-filters = 0:%{common_artifact_filters_version}-%{release}
Requires:  maven2 >= 0:2.0.7

%description repository-builder
%{summary}.

%package io
Summary:        Maven Shared I/O API
Group:          Development/Libraries
Version:        %{io_version}
Requires:  %{name} = 0:%{shared_components_version}-%{release}
Requires:  maven2 >= 0:2.0.7
Requires:  maven-wagon
Requires:  plexus-utils
Requires:  plexus-container-default

%description io
%{summary}.

%package jar
Summary:        Maven Shared Jar
Group:          Development/Libraries
Version:        %{jar_version}
Requires:  %{name} = 0:%{shared_components_version}-%{release}
Requires:  maven2 >= 0:2.0.7

%description jar
Utilities that help identify the contents of a JAR,
including Java class analysis and Maven metadata
analysis.

%package monitor
Summary:        Maven Shared Monitor API
Group:          Development/Libraries
Version:        %{monitor_version}
Requires:  %{name} = 0:%{shared_components_version}-%{release}
Requires:  maven2 >= 0:2.0.7
Requires:  plexus-container-default

%description monitor
%{summary}.

%package verifier
Summary:        Maven Verifier Component
Group:          Development/Libraries
Version:        %{verifier_version}
Requires:  %{name} = 0:%{shared_components_version}-%{release}
Requires:  junit

%description verifier
%{summary}.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
Provides:       %{name}-file-management-javadoc = %{epoch}:%{file_management_version}-%{release}
Obsoletes:      %{name}-file-management-javadoc < %{epoch}:%{file_management_version}-%{release}
Provides:       %{name}-plugin-testing-harness-javadoc = %{epoch}:%{plugin_testing_harness_version}-%{release}
Obsoletes:      %{name}-plugin-testing-harness-javadoc < %{epoch}:%{plugin_testing_harness_version}-%{release}

%description javadoc
%{summary}.

%package artifact-resolver
Summary:        Maven Artifact Resolution API
Group:          Development/Libraries
Version:        %{artifact_resolver_version}
Requires:  %{name} = 0:%{shared_components_version}-%{release}
Requires:  ant
Requires:  maven2 >= 0:2.0.7

%description artifact-resolver
Provides a component for plugins to easily resolve project dependencies.

%package filtering
Summary:        Maven Filtering
Group:          Development/Libraries
Version:        %{filtering_version}
Requires:  %{name} = 0:%{shared_components_version}-%{release}
Requires:  ant
Requires:  maven2 >= 0:2.0.7

%description filtering
A component to assist in filtering of resource files with properties from a Maven project.

%package reporting-api
Summary:        Maven Reporting API
Group:          Development/Libraries
Version:        %{reporting_api_version}
Requires:  %{name} = 0:%{shared_components_version}-%{release}
Requires:  ant
Requires:  maven2 >= 0:2.0.7

%description reporting-api
Maven Reporting API.

%package runtime
Summary:        Maven Runtime
Group:          Development/Libraries
Version:        %{runtime_version}
Requires:  %{name} = 0:%{shared_components_version}-%{release}
Requires:  ant
Requires:  maven2 >= 0:2.0.7

%description runtime
Maven Runtime allows introspection of Maven project metadata at runtime.  Basic artifact information or full Maven
project metadata can be obtained for all projects within a given class loader, optionally sorted into dependency
order, and also for a given class within a project.

%prep
%setup -q -n %{name}-components-%{shared_components_version}
chmod -R go=u-w *
%patch0 -b .sav0
%patch1 -b .sav1
%patch2 -b .sav2
%patch3 -b .sav3
%patch4 -b .sav4
%patch5 -b .sav5
%patch6 -b .sav6
%patch7 -b .sav7

# need namespace for new version modello
sed -i "s|<model>|<model xmlns=\"http://modello.codehaus.org/MODELLO/1.3.0\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xsi:schemaLocation=\"http://modello.codehaus.org/MODELLO/1.3.0 http://modello.codehaus.org/xsd/modello-1.3.0.xsd\" xml.namespace=\"..\" xml.schemaLocation=\"..\" xsd.namespace=\"..\" xsd.targetNamespace=\"..\">|" file-management/src/main/mdo/fileset.mdo

# Remove test that needs junit-addons until that makes it into Fedora
rm -f maven-reporting-impl/src/test/java/org/apache/maven/reporting/AbstractMavenReportRendererTest.java

# Remove tests that need jmock (for now)
rm -f maven-dependency-analyzer/src/test/java/org/apache/maven/shared/dependency/analyzer/InputStreamConstraint.java
rm -f maven-dependency-analyzer/src/test/java/org/apache/maven/shared/dependency/analyzer/ClassFileVisitorUtilsTest.java
rm -f maven-dependency-analyzer/src/test/java/org/apache/maven/shared/dependency/analyzer/AbstractFileTest.java

%build
export MAVEN_REPO_LOCAL=$(pwd)/m2_repo/repository

export MAVEN_OPTS="-XX:MaxPermSize=256m"
mvn-jpp \
        -e \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        -Dmaven.test.skip=true \
        -Dmaven.test.failure.ignore=true \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        install javadoc:aggregate

%install

rm -rf $RPM_BUILD_ROOT
# main package infrastructure
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/maven-shared
install -d -m 755 $RPM_BUILD_ROOT/%{_mavenpomdir}

# poms and jars
install -pm 644 pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.maven-shared-components-parent.pom
%add_to_maven_depmap org.apache.maven.shared maven-shared-components %{shared_components_version} JPP/maven-shared components-parent

install -pm 644 maven-downloader/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.maven-shared-downloader.pom
%add_to_maven_depmap org.apache.maven.shared maven-downloader %{downloader_version} JPP/maven-shared downloader
install -p -m 0644 maven-downloader/target/maven-downloader-%{downloader_version}-SNAPSHOT.jar \
        $RPM_BUILD_ROOT%{_javadir}/maven-shared/downloader.jar

install -pm 644 maven-dependency-analyzer/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.maven-shared-dependency-analyzer.pom
%add_to_maven_depmap org.apache.maven.shared maven-dependency-analyzer %{dependency_analyzer_version} JPP/maven-shared dependency-analyzer
install -p -m 0644 maven-dependency-analyzer/target/maven-dependency-analyzer-%{dependency_analyzer_version}-SNAPSHOT.jar \
        $RPM_BUILD_ROOT%{_javadir}/maven-shared/dependency-analyzer.jar

install -pm 644 maven-dependency-tree/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.maven-shared-dependency-tree.pom
%add_to_maven_depmap org.apache.maven.shared maven-dependency-tree %{dependency_tree_version} JPP/maven-shared dependency-tree
install -p -m 0644 maven-dependency-tree/target/maven-dependency-tree-%{dependency_tree_version}-SNAPSHOT.jar \
        $RPM_BUILD_ROOT%{_javadir}/maven-shared/dependency-tree.jar

install -pm 644 maven-verifier/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.maven-shared-verifier.pom
%add_to_maven_depmap org.apache.maven.shared maven-verifier %{verifier_version} JPP/maven-shared verifier
install -p -m 0644 maven-verifier/target/maven-verifier-%{verifier_version}-SNAPSHOT.jar \
        $RPM_BUILD_ROOT%{_javadir}/maven-shared/verifier.jar

install -pm 644 maven-shared-monitor/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.maven-shared-monitor.pom
%add_to_maven_depmap org.apache.maven.shared maven-shared-monitor %{monitor_version} JPP/maven-shared monitor
install -p -m 0644 maven-shared-monitor/target/maven-shared-monitor-%{monitor_version}-SNAPSHOT.jar \
        $RPM_BUILD_ROOT%{_javadir}/maven-shared/monitor.jar

install -pm 644 maven-shared-io/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.maven-shared-io.pom
%add_to_maven_depmap org.apache.maven.shared maven-shared-io %{io_version} JPP/maven-shared io
install -p -m 0644 maven-shared-io/target/maven-shared-io-%{io_version}-SNAPSHOT.jar \
        $RPM_BUILD_ROOT%{_javadir}/maven-shared/io.jar

install -pm 644 maven-shared-jar/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.maven-shared-jar.pom
%add_to_maven_depmap org.apache.maven.shared maven-shared-jar %{jar_version} JPP/maven-shared jar
install -p -m 0644 maven-shared-jar/target/maven-shared-jar-%{jar_version}-SNAPSHOT.jar \
        $RPM_BUILD_ROOT%{_javadir}/maven-shared/jar.jar

install -pm 644 maven-repository-builder/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.maven-shared-repository-builder.pom
%add_to_maven_depmap org.apache.maven.shared maven-repository-builder %{repository_builder_version} JPP/maven-shared repository-builder
install -p -m 0644 maven-repository-builder/target/maven-repository-builder-%{repository_builder_version}-alpha-3-SNAPSHOT.jar \
        $RPM_BUILD_ROOT%{_javadir}/maven-shared/repository-builder.jar

install -pm 644 maven-reporting-impl/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.maven-shared-reporting-impl.pom
%add_to_maven_depmap org.apache.maven.reporting maven-reporting-impl %{reporting_impl_version} JPP/maven-shared reporting-impl
install -p -m 0644 maven-reporting-impl/target/maven-reporting-impl-%{reporting_impl_version}-SNAPSHOT.jar \
        $RPM_BUILD_ROOT%{_javadir}/maven-shared/reporting-impl.jar

install -pm 644 maven-model-converter/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.maven-shared-model-converter.pom
%add_to_maven_depmap org.apache.maven.shared maven-model-converter %{model_converter_version} JPP/maven-shared model-converter
install -p -m 0644 maven-model-converter/target/maven-model-converter-%{model_converter_version}-SNAPSHOT.jar \
        $RPM_BUILD_ROOT%{_javadir}/maven-shared/model-converter.jar

install -pm 644 maven-invoker/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.maven-shared-invoker.pom
%add_to_maven_depmap org.apache.maven.shared maven-invoker %{invoker_version} JPP/maven-shared invoker
install -p -m 0644 maven-invoker/target/maven-invoker-%{invoker_version}-SNAPSHOT.jar \
        $RPM_BUILD_ROOT%{_javadir}/maven-shared/invoker.jar

install -pm 644 maven-common-artifact-filters/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.maven-shared-common-artifact-filters.pom
%add_to_maven_depmap org.apache.maven.shared maven-common-artifact-filters %{common_artifact_filters_version} JPP/maven-shared common-artifact-filters
install -p -m 0644 maven-common-artifact-filters/target/maven-common-artifact-filters-%{common_artifact_filters_version}-SNAPSHOT.jar \
        $RPM_BUILD_ROOT%{_javadir}/maven-shared/common-artifact-filters.jar

install -pm 644 maven-ant/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.maven-shared-ant.pom
%add_to_maven_depmap org.apache.maven.shared maven-ant %{ant_version} JPP/maven-shared ant
install -p -m 0644 maven-ant/target/maven-ant-%{ant_version}-SNAPSHOT.jar \
        $RPM_BUILD_ROOT%{_javadir}/maven-shared/ant.jar

install -pm 644 maven-osgi/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.maven-shared-osgi.pom
%add_to_maven_depmap org.apache.maven.shared maven-osgi %{osgi_version} JPP/maven-shared osgi
install -p -m 0644 maven-osgi/target/maven-osgi-%{osgi_version}-SNAPSHOT.jar \
        $RPM_BUILD_ROOT%{_javadir}/maven-shared/osgi.jar

install -pm 644 file-management/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.maven-shared-file-management.pom
%add_to_maven_depmap org.apache.maven.shared file-management %{file_management_version} JPP/maven-shared file-management
install -p -m 0644 file-management/target/file-management-%{file_management_version}-SNAPSHOT.jar \
        $RPM_BUILD_ROOT%{_javadir}/maven-shared/file-management.jar

install -pm 644 maven-artifact-resolver/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.maven-shared-artifact-resolver.pom
%add_to_maven_depmap org.apache.maven.shared maven-artifact-resolver %{artifact_resolver_version} JPP/maven-shared artifact-resolver
install -p -m 0644 maven-artifact-resolver/target/maven-artifact-resolver-%{artifact_resolver_version}-SNAPSHOT.jar \
        $RPM_BUILD_ROOT%{_javadir}/maven-shared/artifact-resolver.jar

install -pm 644 maven-filtering/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.maven-shared-filtering.pom
%add_to_maven_depmap org.apache.maven.shared maven-filtering %{filtering_version} JPP/maven-shared filtering
install -p -m 0644 maven-filtering/target/maven-filtering-%{filtering_version}-beta-4-SNAPSHOT.jar \
        $RPM_BUILD_ROOT%{_javadir}/maven-shared/filtering.jar

install -pm 644 maven-reporting-api/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.maven-shared-reporting-api.pom
%add_to_maven_depmap org.apache.maven.shared maven-reporting-api %{reporting_api_version} JPP/maven-shared reporting-api
install -p -m 0644 maven-reporting-api/target/maven-reporting-api-%{reporting_api_version}-SNAPSHOT.jar \
        $RPM_BUILD_ROOT%{_javadir}/maven-shared/reporting-api.jar

install -pm 644 maven-runtime/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.maven-shared-runtime.pom
%add_to_maven_depmap org.apache.maven.shared maven-runtime %{runtime_version} JPP/maven-shared runtime
install -p -m 0644 maven-runtime/target/maven-runtime-%{runtime_version}-alpha-3-SNAPSHOT.jar \
        $RPM_BUILD_ROOT%{_javadir}/maven-shared/runtime.jar

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{shared_components_version}
cp -pr target/site/apidocs/* \
         $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{shared_components_version}/

ln -s %{name}-%{shared_components_version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%dir %{_javadir}/maven-shared
%dir %{_mavenpomdir}
%{_mavenpomdir}/JPP.maven-shared-components-parent.pom
%{_mavendepmapfragdir}

%files file-management
%defattr(-,root,root,-)
%{_javadir}/maven-shared/file-management*.jar
%{_mavenpomdir}/JPP.maven-shared-file-management.pom

%files osgi
%defattr(-,root,root,-)
%{_javadir}/maven-shared/osgi*.jar
%{_mavenpomdir}/JPP.maven-shared-osgi.pom

%files ant
%defattr(-,root,root,-)
%{_javadir}/maven-shared/ant*.jar
%{_mavenpomdir}/JPP.maven-shared-ant.pom

%files common-artifact-filters
%defattr(-,root,root,-)
%{_javadir}/maven-shared/common-artifact-filters*.jar
%{_mavenpomdir}/JPP.maven-shared-common-artifact-filters.pom

%files dependency-analyzer
%defattr(-,root,root,-)
%{_javadir}/maven-shared/dependency-analyzer*.jar
%{_mavenpomdir}/JPP.maven-shared-dependency-analyzer.pom

%files dependency-tree
%defattr(-,root,root,-)
%{_javadir}/maven-shared/dependency-tree*.jar
%{_mavenpomdir}/JPP.maven-shared-dependency-tree.pom

%files downloader
%defattr(-,root,root,-)
%{_javadir}/maven-shared/downloader*.jar
%{_mavenpomdir}/JPP.maven-shared-downloader.pom

%files invoker
%defattr(-,root,root,-)
%{_javadir}/maven-shared/invoker*.jar
%{_mavenpomdir}/JPP.maven-shared-invoker.pom

%files model-converter
%defattr(-,root,root,-)
%{_javadir}/maven-shared/model-converter*.jar
%{_mavenpomdir}/JPP.maven-shared-model-converter.pom


%files reporting-impl
%defattr(-,root,root,-)
%{_javadir}/maven-shared/reporting-impl*.jar
%{_mavenpomdir}/JPP.maven-shared-reporting-impl.pom

%files repository-builder
%defattr(-,root,root,-)
%{_javadir}/maven-shared/repository-builder*.jar
%{_mavenpomdir}/JPP.maven-shared-repository-builder.pom

%files io
%defattr(-,root,root,-)
%{_javadir}/maven-shared/io*.jar
%{_mavenpomdir}/JPP.maven-shared-io.pom

%files jar
%defattr(-,root,root,-)
%{_javadir}/maven-shared/jar*.jar
%{_mavenpomdir}/JPP.maven-shared-jar.pom

%files monitor
%defattr(-,root,root,-)
%{_javadir}/maven-shared/monitor*.jar
%{_mavenpomdir}/JPP.maven-shared-monitor.pom

%files verifier
%defattr(-,root,root,-)
%{_javadir}/maven-shared/verifier*.jar
%{_mavenpomdir}/JPP.maven-shared-verifier.pom

%files artifact-resolver
%defattr(-,root,root,-)
%{_javadir}/maven-shared/artifact-resolver*.jar
%{_mavenpomdir}/JPP.maven-shared-artifact-resolver.pom

%files filtering
%defattr(-,root,root,-)
%{_javadir}/maven-shared/filtering*.jar
%{_mavenpomdir}/JPP.maven-shared-filtering.pom

%files reporting-api
%defattr(-,root,root,-)
%{_javadir}/maven-shared/reporting-api*.jar
%{_mavenpomdir}/JPP.maven-shared-reporting-api.pom

%files runtime
%defattr(-,root,root,-)
%{_javadir}/maven-shared/runtime*.jar
%{_mavenpomdir}/JPP.maven-shared-runtime.pom

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{shared_components_version}
%doc %{_javadocdir}/%{name}

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 15-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Dec 17 2010 Alexander Kurtakov <akurtako@redhat.com> 15-13
- Drop versioned jars.
- Drop tomcat5 deps.

* Thu Sep 16 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 15-12
- Use %%global instead of %%define
- Use %%{_mavenpomdir}
- Remove plexus-registry from BR/R

* Tue Jun 01 2010 Yong Yang <yyang@redhat.com> 15-11
- Rebuld with maven221
- Add patches
- Use javadoc:aggregate

* Tue Jun 01 2010 Yong Yang <yyang@redhat.com> 15-10
- Fix installed jar name of artifact-resolver, filtering, reporting-api, runtime

* Mon May 31 2010 Alexander Kurtakov <akurtako@redhat.com> 15-9
- Reenable reporting api.
- Fix groups.
- Do not remove tests that run now.

* Mon May 31 2010 Alexander Kurtakov <akurtako@redhat.com> 15-8
- Fix maven-archiver depmap.

* Mon May 31 2010 Alexander Kurtakov <akurtako@redhat.com> 15-7
- Release should be bigger than version 8 release.

* Thu May 21 2010 Yong Yang <yyang@redhat.com> 15-1
- Upgrade to 15

* Thu May 20 2010 Yong Yang <yyang@redhat.com> 8-6
- Properly comment %%add_maven_depmap

* Thu May 20 2010 Yong Yang <yyang@redhat.com> 8-5
- Remove plugin-tools* and pluging-testing*
- Add BRs:  objectweb-asm, plexus-digest

* Thu Nov 26 2009 Lubomir Rintel <lkundrak@v3.sk> 8-4
- Fix build

* Tue Sep 01 2009 Andrew Overholt <overholt@redhat.com> 8-3
- Add tomcat5, easymock, and maven2-plugin-source BRs

* Tue Sep 01 2009 Andrew Overholt <overholt@redhat.com> 8-2
- Add tomcat5-servlet-2.4-api BR

* Mon Aug 31 2009 Andrew Overholt <overholt@redhat.com> 8-1
- Update to version 8 (courtesy Deepak Bhole)

* Wed Jul  9 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0-4.6
- drop repotag

* Thu May 29 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.0-4jpp.5
- fix license tag

* Thu Feb 28 2008 Deepak Bhole <dbhole@redhat.com> 1.0-4jpp.4
- Rebuild

* Fri Sep 21 2007 Deepak Bhole <dbhole@redhat.com> 0:1.0-4jpp.3
- Rebuild with ppc64 excludearch'd
- Removed 'jpp' from a BR version

* Tue Mar 20 2007 Deepak Bhole <dbhole@redhat.com> 0:1.0-4jpp.2
- Fixed BRs and Reqa

* Tue Feb 27 2007 Tania Bento <tbento@redhat.com> 0:1.0-4jpp.1
- Fixed %%Release.
- Fixed %%BuildRoot.
- Removed %%Vendor.
- Removed %%Distribution.
- Removed %%post and %%postun sections for file-management-javadoc.
- Removed %%post and %%postun sections for plugin-testing-harness-javadoc.
- Defined _with_gcj_support and gcj_support.
- Fixed %%License.
- Fixed %%Group.
- Marked config file with %%config(noreplace) in %%files section.
- Fixed instructions on how to generate source drop.

* Fri Oct 27 2006 Deepak Bhole <dbhole@redhat.com> 1.0-4jpp
- Update for maven 9jpp

* Fri Sep 15 2006 Deepak Bhole <dbhole@redhat.com> 1.0-3jpp
- Removed the file-management-pom.patch (no longer required)
- Install poms

* Wed Sep 13 2006 Ralph Apel <r.apel@r-apel.de> 0:1.0-2jpp
- Add plugin-testing-harness subpackage

* Mon Sep 11 2006 Ralph Apel <r.apel@r-apel.de> 0:1.0-1jpp
- First release
- Add gcj_support option
- Add post/postun Requires for javadoc
